/***********************************************************************************************************************
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 **********************************************************************************************************************/
package it.tidalwave.bluebill.factsheet.xenocanto;

import javax.annotation.Nonnull;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import it.tidalwave.util.Id;
import it.tidalwave.bluebill.factsheet.FactSheet;
import it.tidalwave.bluebill.factsheet.FactSheetProvider;
import it.tidalwave.bluebill.factsheet.Media;
import java.io.IOException;
import java.net.URL;
import static it.tidalwave.bluebill.factsheet.Media.*;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class XenoCantoFactSheetProvider implements FactSheetProvider
  {
    @Nonnull
    public FactSheet getFactSheet (final @Nonnull Id id)
      throws IOException
      {
        final List<Media> sounds = new ArrayList<Media>();

        sounds.add(new Media().with(AUTHOR, "Allen T. Chartier").
                               with(DATE, new Date(0)).
                               with(COUNTRY, "United States").
                               with(LOCATION, "Ohio, Magee Marsh").
                               with(CALL_TYPE, "Call, flock (D)").
                               with(ID, new Id("http://www.xeno-canto.org/recording.php?XC=17027")).
                               with(URL, new URL("http://www.xeno-canto.org/sounds/uploaded/AZXTZTQJRO/Calidris_alpina_OH-MM_20070502_C1flock_ATC.mp3")));
        sounds.add(new Media().with(AUTHOR, "Niels Krabbe").
                               with(DATE, new Date(0)).
                               with(COUNTRY, "Denmark").
                               with(LOCATION, "Keldsnor").
                               with(CALL_TYPE, "call (B)").
                               with(ID, new Id("http://www.xeno-canto.org/recording.php?XC=25875")).
                               with(URL, new URL("http://www.xeno-canto.org/sounds/uploaded/XTVEPHMPPJ/Calidris_alpina_call_1987_08_16_A_52-54_Keldsnor.mp3")));
        sounds.add(new Media().with(AUTHOR, "Niels Krabbe").
                               with(DATE, new Date(0)).
                               with(COUNTRY, "Denmark").
                               with(LOCATION, "Keldsnor").
                               with(CALL_TYPE, "call (B)").
                               with(ID, new Id("http://www.xeno-canto.org/recording.php?XC=25876")).
                               with(URL, new URL("http://www.xeno-canto.org/sounds/uploaded/XTVEPHMPPJ/Calidris_alpina_call_1987_08_16_A_88-94_Keldsnor.mp3")));
        sounds.add(new Media().with(AUTHOR, "David Farrow").
                               with(DATE, new Date(0)).
                               with(COUNTRY, "United Kingdom").
                               with(LOCATION, "Salthouse").
                               with(CALL_TYPE, "song (B)").
                               with(ID, new Id("http://www.xeno-canto.org/recording.php?XC=37496")).
                               with(URL, new URL("http://www.xeno-canto.org/sounds/uploaded/RNVWOVLEUN/dunlin-norfolk171107farrow.mp3")));

        return new FactSheet().with(FactSheet.SOUNDS, sounds);
      }
  }
